Package org.apache.sling.api.scripting

# Interface SlingScriptResolver

@Deprecated @ProviderType public interface SlingScriptResolver
Deprecated.
The SlingScriptResolver interface is intended to be implemented and also used by project specific code. To keep the API as clean as possible this interface was deprecated
The `ScriptResolver` interface defines the API for a service capable of locating scripts. Where the script is actually located is an implementation detail of the service implementation.

## Method Summary

Modifier and Type
Method
Description
`@Nullable SlingScript`
`findScript(@NotNull ResourceResolver resourceResolver, @NotNull String name)`
Deprecated.
Finds the `SlingScript` for the given name.

## Method Details

### findScript

@Nullable @Nullable SlingScript findScript(@NotNull @NotNull ResourceResolver resourceResolver, @NotNull @NotNull String name)
Deprecated.
Finds the `SlingScript` for the given name.

The semantic meaning of the name is implementation specific: It may be an absolute path to a `Resource` providing the script source or it may be a relative path resolved according to some path settings. Finally, the name may also just be used as an identifier to find the script in some registry.

Parameters:
  `resourceResolver` - The `ResourceResolver` used to access the script.
  `name` - The script name. Must not be `null`.
Returns:
  The `SlingScript` to which the name resolved or `null` otherwise.
Throws:
  `SlingException` - If an error occurrs trying to resolve the name.